%define name	profanation
%define version 1.0
%define release %mkrel 1
%define	Summary	Abu Simbel Profanation Deluxe

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:        http://www.masoftware.es/descargas/profanation/deluxe/ProfaDeluxe-Src.zip
Source1:        %{name}.png
Url:            http://www.masoftware.es/
License:        GPL
Group:          Games/Arcade
Patch0:         %{name}-%{version}-dirs.patch
Patch1:         %{name}-%{version}-CXXFLAGS.patch
Requires:       %{name}-data = %{version}
BuildRequires:  SDL-devel SDL_image-devel SDL_gfx-devel SDL_mixer-devel unzip gcc-c++ make
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Remake of the spanish 8 bits game "Abu Simbel Profanation".

%prep
%setup -q -n ProfaDeluxe-src
%patch0
%patch1

%build
CXXFLAGS="${RPM_OPT_FLAGS}" %{__make} -f Makefile.linux %{?_smp_mflags}

%install
install -p -D -m755 "%{name}" "%{buildroot}%{_bindir}/%{name}"
iconv -f ISO-8859-15 -t UTF-8 Leeme.txt > Leeme.txt.bak && mv -f Leeme.txt.bak Leeme.txt
sed -i 's/\r//' Leeme.txt

install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{name}" \
needs="x11" \
section="More Applications/Games/Arcade" \
icon="%{name}.png" \
title="Profanation" \
longtitle="%{Summary}" \
xdg="true"
EOF

install -p -D -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Profanation
Comment=%{Summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf "${RPM_BUILD_ROOT}"

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc Leeme.txt LICENSE
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_datadir}/applications/pclinuxos-%{name}.desktop


%changelog
* Mon Feb 18 2008 P. K. Frederic <pkfric@yahoo.com> 1.0-1pclos2007
- first RPM for PCLinuxOS imported from cmorve69@yahoo.es

